Bug 406731 - Hang with large data blocks
Hang with large data blocks
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 12:56 EST by James Eniti
Modified: 2009-01-09 00:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:23:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
lspsi and hdparm info to identify my hardware (4.46 KB, application/octet-stream)
2007-11-30 12:56 EST, James Eniti
no flags Details
messages log including 2 hangs (630.46 KB, text/plain)
2007-11-30 12:59 EST, James Eniti
no flags Details

  None (edit)
Description James Eniti 2007-11-30 12:56:16 EST
Description of problem:
My Alienware laptop hangs (no keboard response, display frozen, power cycle to
recover) 
The following repeatable conditions
gnome-pilot backup of Palm Tungsten E2 via USB
tar pipe restore from NAS via /net NFS mount
vi /net NFS mount of mail Inbox when the vi is first access to the mount (vi
causes mount)

Version-Release number of selected component (if applicable):
Linux version 2.6.23.1-49.fc8 (kojibuilder@xenbuilder1.fedora.redhat.com) (gcc
version 4.1.2 20070925 (Red Hat 4.1.2-33)) #1 SMP Thu Nov 8 22:14:09 EST 2007


How reproducible:
every time 8 trys

Steps to Reproduce:
1.cd /net/nas/VOLUME1/EVOLUTION
2.tar cf - mail |(cd /home/jeniti/.evolution; tar xf - )
3.
  
Actual results:
display freeze, no keyboard responce (not even the caps lock light)

Expected results:
data restored to disk

Additional info:
gnome-pilot backup hung and pilot gave incomplete message (tryed once)
vi /net/nas/VOLUME1/EVOLUTION/mail/local/Inbox as the first access to the mount
hung the system.
the same vi with the mount already mounted from an ll worked fine

/var/log/messages has no useful info except a stack warning on one of the tar
attempts at Nov 26 09:22:10, hang Nov 26 09:23:28

This was a disk wipe install of FC8 (remove linux partions and rebuild option in
install)

FC8 is not usable if I can't restore my backups

YUM updates work
Comment 1 James Eniti 2007-11-30 12:56:16 EST
Created attachment 274071 [details]
lspsi and hdparm info to identify my hardware
Comment 2 James Eniti 2007-11-30 12:59:54 EST
Created attachment 274081 [details]
messages log including 2 hangs

tar pipe hang Nov 26 09:23:28
vi hang Nov 30 08:32:08 jpeaw gconfd (jeniti-3208): Resolved address
"xml:readonly:/etc/gconf/gconf.xml.defaults" to a read-only configuration
source at position 2
Nov 30 09:01:42 jpeaw rsyslogd: [origin software="rsyslogd" swVersion="1.19.10"
x-pid="2275"][x-configInfo udpReception="No" udpPort="514" tcpReception="No"
tcpPort="0"] restart
Comment 3 Chuck Ebbert 2007-12-07 15:54:30 EST
Are these filesystems automounted?
Comment 4 James Eniti 2007-12-07 16:26:22 EST
(In reply to comment #3)
> Are these filesystems automounted?
> 
The /net is the mount point for the -hosts automount (yes for the tar and vi)
the gnome-pilot backup was to a dir on the root (/) partition under my home
the gnome-pilot backup hang is harder to reproduce because gnome-pilot does not
work reliably

I also go the vi hang on another try with the mount already mounted 

It appears to be related to large writes to the SATA disk, all hangs have
occured when large writes should be taking place (vi creating its working file
in /var/tmp, tar restoring to the mail dir, gnome-pilot backing up pilot device
to dir under home.

Thanks
James

PS If a bug catcher kernel can be made for this I am happy to help reprduce to
catch traces or dumps

Comment 5 Bug Zapper 2008-11-26 03:46:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:23:05 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.